| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes | Package Attributes

# EECFI.GoceObt Class Reference

Base class for GoceObt objects. More...

Inheritance diagram for EECFI.GoceObt:

List of all members.

## Public Member Functions
| GoceObt (long utc0_c, int utc0_f, long obt0_c, int obt0_f, double gradient, double offset)
| Class constructor (with GOCE parameters).
| GoceObt (long utc0_c, int utc0_f, long obt0_c, int obt0_f, double gradient, double offset, double obt)
| Class constructor.
void | setObt (Time time) throws CfiError
| set On-Board Time from a time in processing format.
Time | getTime () throws CfiError
| Get UTC time from an OBT time.
## Public Attributes
long | utc0_c
| GOCE OBT parameters.
int | utc0_f
| GOCE OBT parameters.
long | obt0_c
| GOCE OBT parameters.
int | obt0_f
| GOCE OBT parameters.
## Package Attributes
double | gradient
| GOCE OBT parameters.
double | offset
| GOCE OBT parameters.
double | obt
| GOCE OBT values.

## Detailed Description

Base class for GoceObt objects.

## Constructor & Destructor Documentation

EECFI.GoceObt.GoceObt | ( | long | utc0_c,
|  | int | utc0_f,
|  | long | obt0_c,
|  | int | obt0_f,
|  | double | gradient,
|  | double | offset |
| ) |  |  |

Class constructor (with GOCE parameters).

EECFI.GoceObt.GoceObt | ( | long | utc0_c,
|  | int | utc0_f,
|  | long | obt0_c,
|  | int | obt0_f,
|  | double | gradient,
|  | double | offset,
|  | double | obt |
| ) |  |  |

Class constructor.

## Member Function Documentation

Time EECFI.GoceObt::getTime | ( |  | ) | throws CfiError `[virtual]`

Get UTC time from an OBT time.

Returns:
  UTC time from OBT time.

Implements EECFI.ObtTime.

void EECFI.GoceObt::setObt | ( | Time | time | ) | throws CfiError `[virtual]`

set On-Board Time from a time in processing format.

Parameters:

  | time | input Time.

Implements EECFI.ObtTime.

## Member Data Documentation

double EECFI.GoceObt.gradient`[package]`

GOCE OBT parameters.

double EECFI.GoceObt.obt`[package]`

GOCE OBT values.

long EECFI.GoceObt.obt0_c

GOCE OBT parameters.

int EECFI.GoceObt.obt0_f

GOCE OBT parameters.

double EECFI.GoceObt.offset`[package]`

GOCE OBT parameters.

long EECFI.GoceObt.utc0_c

GOCE OBT parameters.

int EECFI.GoceObt.utc0_f

GOCE OBT parameters.